precision highp float;
#if __VERSION__ >= 300
layout (location = 0) in vec2 aPosition;
layout (location = 1) in vec2 aTexCoord;
out vec2 varyTexCoord;
#else
attribute vec2 aPosition;
attribute vec2 aTexCoord;
varying vec2 varyTexCoord;
#endif
uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
void main() {
    gl_Position = projection * view *  model * vec4(aPosition, 0.0, 1.0);
    varyTexCoord = aTexCoord;
}